Update DB index for T146450
Closed, ResolvedPublic

Description

After the code of T146450: Unable to translate an article for which another user has a deleted draft is in production everywhere, we need to update index for CX table. This ticket tracks deployment and follow-ups.

Deploy on,

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Nikerabbit updated the task description. (Show Details)Mar 7 2017, 7:08 AM
KartikMistry renamed this task from Update index for T146450 to Update DB index for T146450.Mar 7 2017, 7:24 AM
Arrbee triaged this task as Normal priority.Mar 8 2017, 6:48 AM
KartikMistry updated the task description. (Show Details)Mar 10 2017, 7:06 AM
KartikMistry claimed this task.
KartikMistry moved this task from Backlog to In Progress on the Language-2017 Sprint 4 board.

Mentioned in SAL (#wikimedia-releng) [2017-03-10T12:29:39Z] <kart_> Beta: T159800: Update DB index for T146450

KartikMistry updated the task description. (Show Details)Mar 14 2017, 1:16 PM
KartikMistry updated the task description. (Show Details)

This is now done and live in Production (T160407). I confirmed that deletion of draft by one user doesn't add lock on same article (and title) when started by another user.

KartikMistry closed this task as Resolved.Mar 15 2017, 12:04 PM
KartikMistry moved this task from In Progress to Done on the Language-2017 Sprint 4 board.